## org.openorb.io
Interface MarshalBuffer.Listener

All Superinterfaces:
  java.util.EventListener

Enclosing class:
  MarshalBuffer

public static interface MarshalBuffer.Listener
extends java.util.EventListener

Method Summary
`void` `availIncreaced(MarshalBuffer buffer, int available, java.lang.Object cookie)` called whenever the size of the buffer increaces or flush is called while fragemntation is enabled.
`void` `bufferCanceled(MarshalBuffer buffer, SystemException ex, java.lang.Object cookie)` Called when the marshal sequence is canceled by calling the cancel operation.
`void` `bufferClosed(MarshalBuffer buffer, int available, java.lang.Object cookie)` called when the buffer is closed.

Method Detail

### availIncreaced

    public void availIncreaced(MarshalBuffer buffer,
                               int available,
                               java.lang.Object cookie)

  called whenever the size of the buffer increaces or flush is called while fragemntation is enabled.

### bufferClosed

    public void bufferClosed(MarshalBuffer buffer,
                             int available,
                             java.lang.Object cookie)

  called when the buffer is closed.

### bufferCanceled

    public void bufferCanceled(MarshalBuffer buffer,
                               SystemException ex,
                               java.lang.Object cookie)

  Called when the marshal sequence is canceled by calling the cancel operation. This should either throw a system exception or simply return if the cancel will be handled later on.